# SplitterPanel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [ScrollableControl](/api/wisej.web/containers/scrollablecontrol.md)
    * [Panel](/api/wisej.web/containers/wisej.web.panel.md)
      * [SplitterPanel](/api/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md)

Creates a panel that is associated with a [SplitContainer](/api/wisej.web/containers/splitcontainer.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public class SplitterPanel : Panel
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SplitterPanel
    Inherits Panel
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) SplitterPanel(splitContainer)

Initializes a new instance of the [SplitterPanel](/api/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md) class with its specified [SplitContainer](/api/wisej.web/containers/splitcontainer.md).

| Name               | Type                                                          | Description                                                                                                                                                               |
| ------------------ | ------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **splitContainer** | [SplitContainer](/api/wisej.web/containers/splitcontainer.md) | The [SplitContainer](/api/wisej.web/containers/splitcontainer.md) that contains the [SplitterPanel](/api/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md). |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Collapsed

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets a value that indicates whether the [SplitterPanel](/api/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md) is collapsed. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) CollapseSide

[HeaderPosition](/api/wisej.web/enumerations/wisej.web.headerposition.md): Returns or sets a value that indicates to which side should the panel collapse. (Default: `Top`)

### ![](/files/lzopMboA31bVq8UIcbT3) DefaultMargin

[Padding](/api/wisej.web/general/wisej.web.padding.md): Returns the default margins for this control.

### ![](/files/hsR4ok3152WyAf8J2C1u) Name

[String](https://docs.microsoft.com/dotnet/api/system.string): The name of this [SplitterPanel](/api/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Parent

[Control](/api/wisej.web/general/control.md): Returns or sets the [SplitContainer](/api/wisej.web/containers/splitcontainer.md) that contains this [SplitterPanel](/api/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Size

[Size](https://docs.microsoft.com/dotnet/api/system.drawing.size): Returns or sets the height and width of the [SplitterPanel](/api/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md).

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) OnControlAdded(e)

Fires the [ControlAdded](/api/wisej.web/general/control.md#controladded) event.

| Parameter | Type                                                                             | Description                                                                                                      |
| --------- | -------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **e**     | [ControlEventArgs](/api/wisej.web/general/control/wisej.web.controleventargs.md) | A [ControlEventArgs](/api/wisej.web/general/control/wisej.web.controleventargs.md) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnControlRemoved(e)

Fires the [ControlAdded](/api/wisej.web/general/control.md#controladded) event.

| Parameter | Type                                                                             | Description                                                                                                      |
| --------- | -------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **e**     | [ControlEventArgs](/api/wisej.web/general/control/wisej.web.controleventargs.md) | A [ControlEventArgs](/api/wisej.web/general/control/wisej.web.controleventargs.md) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IImage](/api/wisej.web/interfaces/wisej.web.iimage.md)                           | Provides access to common image properties across the controls that implement this interface.                         |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/splitcontainer/wisej.web.splitterpanel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
